summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-04-17 11:06:20 +0200
committerLars Wendler <polynomial-c@gentoo.org>2019-04-17 11:06:35 +0200
commit3fcf692823dbdb121b9b7ec59c19fa9152d39b83 (patch)
tree8540a4ddcfc5c6e595c747080c98009878d35012
parentdev-lang/clojure: version bump. (diff)
downloadgentoo-3fcf692823dbdb121b9b7ec59c19fa9152d39b83.tar.gz
gentoo-3fcf692823dbdb121b9b7ec59c19fa9152d39b83.tar.bz2
gentoo-3fcf692823dbdb121b9b7ec59c19fa9152d39b83.zip
dev-vcs/tortoisehg: Removed old.
Package-Manager: Portage-2.3.63, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--dev-vcs/tortoisehg/Manifest2
-rw-r--r--dev-vcs/tortoisehg/tortoisehg-4.5.2.ebuild79
-rw-r--r--dev-vcs/tortoisehg/tortoisehg-4.8.2.ebuild79
3 files changed, 0 insertions, 160 deletions
diff --git a/dev-vcs/tortoisehg/Manifest b/dev-vcs/tortoisehg/Manifest
index 81e0304b7f5..b15f2e1fa4c 100644
--- a/dev-vcs/tortoisehg/Manifest
+++ b/dev-vcs/tortoisehg/Manifest
@@ -1,3 +1 @@
-DIST tortoisehg-4.5.2.tar.gz 7935559 BLAKE2B c69107f28767936232937ee0b730b9b937dc1a475d142f0783b59b434072be1b2413f141e02985f3efe09a107782e64411323bd7c0a41be8802b1f23f54fdc77 SHA512 7be831203a33a9d7ea9e3caebb5a4d3f21ff0f07c508926b33b43db39ae11b3533c4274af78cdc2955fbea20f3e4ebe364004c9ad0a781ec7d49c19c2f5a1935
-DIST tortoisehg-4.8.2.tar.gz 8961094 BLAKE2B 3230ccd1f5fbfe44e1a656c5942592023d392816972663030df4d7c604dbea79a757b1695e60c450637d74aa53e0a821fd1e159ee9f1560ea6e48c766fd13dcb SHA512 46357dd982bdb1ecde419b63ae845f60523769e1be8145e883fcd6928008bac63a4c206423e764d4e6723049bd7ebad5fcd8027fa11beea485287fe3e74be566
DIST tortoisehg-4.9.tar.gz 7960163 BLAKE2B bc13032ba1e36ed3e6aca978cb3917b2e5fdcf1b7dab2e66a34a0aca2e084960954f9ec135a1c2120e09931b876db7d1f3d0f3a8f69f950ff939eea9d7814523 SHA512 cc7b0360c6b362b0b9695a484b59eea879e1d4e28ed68e98ce6975342a22ddafc97976c5b0cdea289bfd78932dacf76c0b236e36bec48acd48ee361f2c09ff13
diff --git a/dev-vcs/tortoisehg/tortoisehg-4.5.2.ebuild b/dev-vcs/tortoisehg/tortoisehg-4.5.2.ebuild
deleted file mode 100644
index d5027f97962..00000000000
--- a/dev-vcs/tortoisehg/tortoisehg-4.5.2.ebuild
+++ /dev/null
@@ -1,79 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 eutils
-
-if [[ ${PV} != *9999* ]]; then
- KEYWORDS="amd64 x86"
- SRC_URI="https://www.bitbucket.org/${PN}/targz/downloads/${P}.tar.gz"
- HG_DEPEND=">=dev-vcs/mercurial-4.4 <dev-vcs/mercurial-4.6"
-else
- inherit mercurial
- EHG_REPO_URI="https://bitbucket.org/tortoisehg/thg"
- EHG_REVISION="stable"
- HG_DEPEND="dev-vcs/mercurial"
-fi
-
-DESCRIPTION="Set of graphical tools for Mercurial"
-HOMEPAGE="https://tortoisehg.bitbucket.io/"
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="doc"
-
-RDEPEND="${HG_DEPEND}
- dev-python/iniparse[${PYTHON_USEDEP}]
- dev-python/pygments[${PYTHON_USEDEP}]
- dev-python/PyQt5[network,svg,${PYTHON_USEDEP}]
- >=dev-python/qscintilla-python-2.9.4:=[qt5(+),${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- doc? ( >=dev-python/sphinx-1.0.3 )"
-
-# Workaround race condition in build_qt
-DISTUTILS_IN_SOURCE_BUILD=1
-
-python_prepare_all() {
- if [[ ${L10N+set} ]]; then
- cd i18n/tortoisehg || die
- local x y keep
- for x in *.po; do
- keep=false
- for y in ${L10N}; do
- if [[ ${y} == ${x%.po}* ]]; then
- keep=true
- break
- fi
- done
- ${keep} || rm "${x}" || die
- done
- cd "${S}" || die
- fi
- distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
- use doc && emake -C doc html
-}
-
-python_install_all() {
- distutils-r1_python_install_all
- dodoc doc/ReadMe*.txt doc/TODO contrib/mergetools.rc
- if use doc ; then
- dohtml -r doc/build/html/
- fi
- newicon -s scalable icons/scalable/apps/thg.svg thg_logo.svg
- domenu contrib/thg.desktop
-
- # Remove file that collides with >=mercurial-4.0 (bug #599266).
- rm "${ED%/}"/usr/$(get_libdir)/${EPYTHON}/site-packages/hgext3rd/__init__.py \
- || die
-}
-
-pkg_postinst() {
- elog "When startup of ${PN} fails with an API version mismatch error"
- elog "between dev-python/sip and dev-python/PyQt5 please rebuild"
- elog "dev-python/qscintilla-python."
-}
diff --git a/dev-vcs/tortoisehg/tortoisehg-4.8.2.ebuild b/dev-vcs/tortoisehg/tortoisehg-4.8.2.ebuild
deleted file mode 100644
index c13880f7663..00000000000
--- a/dev-vcs/tortoisehg/tortoisehg-4.8.2.ebuild
+++ /dev/null
@@ -1,79 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python2_7 )
-
-inherit desktop distutils-r1
-
-if [[ ${PV} != *9999* ]]; then
- KEYWORDS="~amd64 ~x86"
- SRC_URI="https://www.bitbucket.org/${PN}/targz/downloads/${P}.tar.gz"
- HG_DEPEND=">=dev-vcs/mercurial-4.7 <dev-vcs/mercurial-4.9"
-else
- inherit mercurial
- EHG_REPO_URI="https://bitbucket.org/tortoisehg/thg"
- EHG_REVISION="stable"
- HG_DEPEND="dev-vcs/mercurial"
-fi
-
-DESCRIPTION="Set of graphical tools for Mercurial"
-HOMEPAGE="https://tortoisehg.bitbucket.io/"
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="doc"
-
-RDEPEND="${HG_DEPEND}
- dev-python/iniparse[${PYTHON_USEDEP}]
- dev-python/pygments[${PYTHON_USEDEP}]
- dev-python/PyQt5[network,svg,${PYTHON_USEDEP}]
- >=dev-python/qscintilla-python-2.9.4:=[qt5(+),${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- doc? ( >=dev-python/sphinx-1.0.3 )"
-
-# Workaround race condition in build_qt
-DISTUTILS_IN_SOURCE_BUILD=1
-
-python_prepare_all() {
- if [[ ${L10N+set} ]]; then
- cd i18n/tortoisehg || die
- local x y keep
- for x in *.po; do
- keep=false
- for y in ${L10N}; do
- if [[ ${y} == ${x%.po}* ]]; then
- keep=true
- break
- fi
- done
- ${keep} || rm "${x}" || die
- done
- cd "${S}" || die
- fi
- distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
- use doc && emake -C doc html
-}
-
-python_install_all() {
- distutils-r1_python_install_all
- dodoc doc/ReadMe*.txt doc/TODO contrib/mergetools.rc
- if use doc ; then
- dohtml -r doc/build/html/
- fi
- newicon -s scalable icons/scalable/apps/thg.svg thg_logo.svg
- domenu contrib/thg.desktop
-
- # Remove file that collides with >=mercurial-4.0 (bug #599266).
- rm "${ED%/}"/usr/$(get_libdir)/${EPYTHON}/site-packages/hgext3rd/__init__.py \
- || die
-}
-
-pkg_postinst() {
- elog "When startup of ${PN} fails with an API version mismatch error"
- elog "between dev-python/sip and dev-python/PyQt5 please rebuild"
- elog "dev-python/qscintilla-python."
-}